Debian Bug report logs - #384336
xine-ui: crashes on startup

version graph

Package: xine-ui; Maintainer for xine-ui is Darren Salt <devspam@moreofthesa.me.uk>; Source for xine-ui is src:xine-ui.

Reported by: Aaron Denney <wnoise@ofb.net>

Date: Wed, 23 Aug 2006 16:03:06 UTC

Severity: important

Tags: help

Merged with 384006

Found in version xine-ui/0.99.4+cvs20060813-1

Fixed in versions xine-ui/0.99.4+cvs20061019-1, xine-ui/0.99.4+dfsg+cvs20061111-1, xine-ui/0.99.4+cvs20070315-1

Done: Reinhard Tartler <siretart@tauware.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Siggi Langauf <siggi@debian.org>:
Bug#384336; Package xine-ui. Full text and rfc822 format available.

Acknowledgement sent to Aaron Denney <wnoise@ofb.net>:
New Bug report received and forwarded. Copy sent to Siggi Langauf <siggi@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aaron Denney <wnoise@ofb.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xine-ui: crashes on startup
Date: Wed, 23 Aug 2006 09:35:14 -0600
Package: xine-ui
Version: 0.99.4+cvs20060813-1
Severity: important

The crash is:
X Error of failed request:  BadAtom (invalid Atom parameter)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Atom id in failed request:  0x0
  Serial number of failed request:  187
  Current serial number in output stream:  190

I believe I've tracked it down to:
src/xitk/videowin.c:340                                                         
static void video_window_lock_opacity (void) {
  XChangeProperty(gGui->video_display, gGui->video_window,
                  XInternAtom (gGui->video_display, "_NET_WM_WINDOW_OPACITY_LOCKED", False),
                  XA_CARDINAL, 32, PropModeReplace,
                  (unsigned char *)gGui, 1);
}                                                                               

I have a lot of atoms interned already on my system, so the XInternAtom() call fails,
returning the Atom None, which is then passed unchanged into XChangeProperty().

Checking if this returns 0 and aborting should be sufficient to avoid this bug.
Any loss from not setting this atom is pretty minimal, as only one window-manager
uses it so far.

A similar problem undoubtedly is in gxine.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages xine-ui depends on:
ii  libc6                      2.3.6.ds1-2   GNU C Library: Shared libraries
ii  libcomerr2                 1.39-1        common error description library
ii  libcurl3-gnutls            7.15.5-1      Multi-protocol file transfer libra
ii  libfontconfig1             2.3.2-7       generic font configuration library
ii  libgnutls13                1.4.2-1       the GNU TLS library - runtime libr
ii  libice6                    1:1.0.0-3     X11 Inter-Client Exchange library
ii  libidn11                   0.6.5-1       GNU libidn library, implementation
ii  libkrb53                   1.4.4~beta1-1 MIT Kerberos runtime libraries
ii  libncurses5                5.5-2         Shared libraries for terminal hand
ii  libpng12-0                 1.2.8rel-5.2  PNG library - runtime
ii  libreadline5               5.1-7         GNU readline and history libraries
ii  libslang2                  2.0.6-3       The S-Lang programming library - r
ii  libsm6                     1:1.0.0-4     X11 Session Management library
ii  libx11-6                   2:1.0.0-8     X11 client-side library
ii  libxext6                   1:1.0.0-4     X11 miscellaneous extension librar
ii  libxft2                    2.1.8.2-8     FreeType-based font drawing librar
ii  libxine1                   1.1.2-3       the xine video/media player librar
ii  libxinerama1               1:1.0.1-4.1   X11 Xinerama extension library
ii  libxtst6                   1:1.0.1-5     X11 Testing -- Resource extension 
ii  libxv1                     1:1.0.1-5     X11 Video extension library
ii  libxxf86vm1                1:1.0.0-4     X11 XFree86 video mode extension l
ii  zlib1g                     1:1.2.3-13    compression library - runtime

Versions of packages xine-ui recommends:
ii  libaa1                        1.4p5-30   ascii art library

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Siggi Langauf <siggi@debian.org>:
Bug#384336; Package xine-ui. Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to Siggi Langauf <siggi@debian.org>. Full text and rfc822 format available.

Message #10 received at 384336@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo@sourcepole.ch>
To: 384336@bugs.debian.org
Cc: 384006@bugs.debian.org, Aaron Denney <wnoise@ofb.net>, daniel@debian.org
Subject: xine-ui: crashes on startup: problem not reproducible
Date: Sun, 10 Sep 2006 23:16:38 +0200 (CEST)
I wasn't able to reproduce the problem with xine-ui 0.99.4+cvs20060813-1
neither on a etch system nor on a system that matched xine-ui
dependency-wise the original bugreporters (Daniel, Aaron) system.

I even tried with the same window manager as Daniel to no avail. Thus I 
guess both reports can be closed with 'unreproducible'.
*t

-- 
--------------------------------------------------------
  Tomas Pospisek
  http://sourcepole.com -  Linux & Open Source Solutions
--------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, Siggi Langauf <siggi@debian.org>:
Bug#384336; Package xine-ui. Full text and rfc822 format available.

Acknowledgement sent to Jan Niehusmann <jan@gondor.com>:
Extra info received and forwarded to list. Copy sent to Siggi Langauf <siggi@debian.org>. Full text and rfc822 format available.

Message #15 received at 384336@bugs.debian.org (full text, mbox):

From: Jan Niehusmann <jan@gondor.com>
To: Debian Bug Tracking System <384336@bugs.debian.org>
Subject: xine-ui: Can reproduce bug
Date: Thu, 14 Sep 2006 10:57:28 +0200
Package: xine-ui
Version: 0.99.4+cvs20060813-1
Followup-For: Bug #384336

I can easily reproduce the problem - in fact, I'm unable to start xine
at all:

$ xine
This is xine (X11 gui) - a free video player v0.99.5cvs.
(c) 2000-2004 The xine Team.
X Error of failed request:  BadAtom (invalid Atom parameter)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Atom id in failed request:  0x0
  Serial number of failed request:  189
  Current serial number in output stream:  192

This is on a xinerama display, ion3 window manager, intel centrino
integrated graphics ("Intel Corporation 82852/855GM Integrated Graphics
Device").

Jan

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (500, 'testing'), (500, 'stable'), (101, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-g3372c2a9
Locale: LANG=C, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages xine-ui depends on:
ii  libc6                       2.3.6.ds1-4  GNU C Library: Shared libraries
ii  libcomerr2                  1.39-1       common error description library
ii  libcurl3-gnutls             7.15.5-1     Multi-protocol file transfer libra
ii  libfontconfig1              2.4.0-4      generic font configuration library
ii  libgnutls13                 1.4.4-1      the GNU TLS library - runtime libr
ii  libice6                     1:1.0.1-2    X11 Inter-Client Exchange library
ii  libidn11                    0.6.5-1      GNU libidn library, implementation
ii  libkrb53                    1.4.4-1      MIT Kerberos runtime libraries
ii  libncurses5                 5.5-3        Shared libraries for terminal hand
ii  libpng12-0                  1.2.8rel-5.2 PNG library - runtime
ii  libreadline5                5.1-8        GNU readline and history libraries
ii  libslang2                   2.0.6-3      The S-Lang programming library - r
ii  libsm6                      1:1.0.1-2    X11 Session Management library
ii  libx11-6                    2:1.0.0-8    X11 client-side library
ii  libxext6                    1:1.0.1-2    X11 miscellaneous extension librar
ii  libxft2                     2.1.8.2-8    FreeType-based font drawing librar
ii  libxine1                    1.1.2-4      the xine video/media player librar
ii  libxinerama1                1:1.0.1-4.1  X11 Xinerama extension library
ii  libxtst6                    1:1.0.1-5    X11 Testing -- Resource extension 
ii  libxv1                      1:1.0.1-5    X11 Video extension library
ii  libxxf86vm1                 1:1.0.0-4    X11 XFree86 video mode extension l
ii  zlib1g                      1:1.2.3-13   compression library - runtime

Versions of packages xine-ui recommends:
ii  libaa1                        1.4p5-30   ascii art library

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Siggi Langauf <siggi@debian.org>:
Bug#384336; Package xine-ui. Full text and rfc822 format available.

Acknowledgement sent to Corey Wright <undefined@pobox.com>:
Extra info received and forwarded to list. Copy sent to Siggi Langauf <siggi@debian.org>. Full text and rfc822 format available.

Message #20 received at 384336@bugs.debian.org (full text, mbox):

From: Corey Wright <undefined@pobox.com>
To: 384006@bugs.debian.org, 384336@bugs.debian.org
Subject: xine-ui x error: highly reproducible
Date: Sun, 8 Oct 2006 00:35:41 -0500
Followup-For: Bug #384006
Followup-For: Bug #384336
Package: xine-ui
Version: 0.99.4+cvs20060813-1

i have a ati radeon 9250 in a dual head configuration (not xinerama). 
problem never occurs on first head (:0.0), always occurs on second head
(:0.1).

with flwm (my usual wm on :0.1):

This is xine (X11 gui) - a free video player v0.99.5cvs.
(c) 2000-2004 The xine Team.
X Error of failed request:  BadAtom (invalid Atom parameter)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Atom id in failed request:  0x0
  Serial number of failed request:  806
  Current serial number in output stream:  809

with no wm (launching from :0.0 with "DISPLAY=:0.1 xine"):

This is xine (X11 gui) - a free video player v0.99.5cvs.
(c) 2000-2004 The xine Team.
xiTK WARNING(_x_error_handler:258): X error received: 'BadWindow (invalid
Window parameter)'
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  20 (X_GetProperty)
  Resource id in failed request:  0x2e00008
  Serial number of failed request:  43
  Current serial number in output stream:  43

with openbox (my usual wm on :0.0, but used on :0.1 for this test):

This is xine (X11 gui) - a free video player v0.99.5cvs.
(c) 2000-2004 The xine Team.
xiTK WARNING(_x_error_handler:258): X error received: 'BadWindow (invalid
Window parameter)'
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  20 (X_GetProperty)
  Resource id in failed request:  0x2e00008
  Serial number of failed request:  43
  Current serial number in output stream:  43

but regardless of all the problems on :0.1, :0.0 works perfectly (except
it's not the screen i use for viewing movies ;-).

so, my testing proves that the problem is reproducible, but not only that,
it's constant.  it's also irregardless of window manager (though the exact
problem does vary based on the wm).

i can generate any comparison needed between :0.0 and :0.1 to help determine
the difference and exact cause (xdpyinfo, xlsatom, etc); just ask.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.15.7-ubuntu1-27.48+vs2.0.1.3+1-k7
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages xine-ui depends on:
ii  libc6                       2.3.6.ds1-4  GNU C Library: Shared libraries
ii  libcomerr2                  1.39-1       common error description library
ii  libcurl3-gnutls             7.15.5-1     Multi-protocol file transfer libra
ii  libfontconfig1              2.4.1-2      generic font configuration library
ii  libgnutls13                 1.4.4-1      the GNU TLS library - runtime libr
ii  libice6                     1:1.0.1-2    X11 Inter-Client Exchange library
ii  libidn11                    0.6.5-1      GNU libidn library, implementation
ii  libkrb53                    1.4.4-1      MIT Kerberos runtime libraries
ii  libncurses5                 5.5-3        Shared libraries for terminal hand
ii  libpng12-0                  1.2.8rel-5.2 PNG library - runtime
ii  libreadline5                5.1-7        GNU readline and history libraries
ii  libslang2                   2.0.6-3      The S-Lang programming library - r
ii  libsm6                      1:1.0.1-2    X11 Session Management library
ii  libx11-6                    2:1.0.0-8    X11 client-side library
ii  libxext6                    1:1.0.1-2    X11 miscellaneous extension librar
ii  libxft2                     2.1.8.2-8    FreeType-based font drawing librar
ii  libxine1                    1.1.2-3      the xine video/media player librar
ii  libxinerama1                1:1.0.1-4.1  X11 Xinerama extension library
ii  libxtst6                    1:1.0.1-5    X11 Testing -- Resource extension 
ii  libxv1                      1:1.0.1-5    X11 Video extension library
ii  libxxf86vm1                 1:1.0.0-4    X11 XFree86 video mode extension l
ii  zlib1g                      1:1.2.3-13   compression library - runtime

Versions of packages xine-ui recommends:
ii  libaa1                        1.4p5-30   ascii art library

-- no debconf information



Merged 384006 384336. Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Siggi Langauf <siggi@debian.org>:
Bug#384336; Package xine-ui. Full text and rfc822 format available.

Acknowledgement sent to "Arieh Skliarouk" <skliarieh@gmail.com>:
Extra info received and forwarded to list. Copy sent to Siggi Langauf <siggi@debian.org>. Full text and rfc822 format available.

Message #27 received at 384336@bugs.debian.org (full text, mbox):

From: "Arieh Skliarouk" <skliarieh@gmail.com>
To: 384336@bugs.debian.org, 384006@bugs.debian.org
Subject: Leave xine alone
Date: Tue, 26 Dec 2006 19:35:24 +0200
[Message part 1 (text/plain, inline)]
Hello,

I think the problem is in X-Windows support of the X_ChangeProperty
extension. xine guys should not be blamed, that they started using the
extension (though they *could* check whether the extension exists and either
prompt user on lack of such, or/and use workaround).

According to following URL, the X_ChangeProperty extension was recently
added.
http://lists.freedesktop.org/archives/xorg-commit/2006-September/008737.html


-- 
Arieh
[Message part 2 (text/html, inline)]

Reply sent to Reinhard Tartler <siretart@tauware.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Aaron Denney <wnoise@ofb.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 384336-close@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: 384336-close@bugs.debian.org
Subject: Bug#384336: fixed in xine-ui 0.99.4+cvs20070315-1
Date: Sat, 17 Mar 2007 23:47:02 +0000
Source: xine-ui
Source-Version: 0.99.4+cvs20070315-1

We believe that the bug you reported is fixed in the latest version of
xine-ui, which is due to be installed in the Debian FTP archive:

xine-ui_0.99.4+cvs20070315-1.diff.gz
  to pool/main/x/xine-ui/xine-ui_0.99.4+cvs20070315-1.diff.gz
xine-ui_0.99.4+cvs20070315-1.dsc
  to pool/main/x/xine-ui/xine-ui_0.99.4+cvs20070315-1.dsc
xine-ui_0.99.4+cvs20070315-1_i386.deb
  to pool/main/x/xine-ui/xine-ui_0.99.4+cvs20070315-1_i386.deb
xine-ui_0.99.4+cvs20070315.orig.tar.gz
  to pool/main/x/xine-ui/xine-ui_0.99.4+cvs20070315.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 384336@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Reinhard Tartler <siretart@tauware.de> (supplier of updated xine-ui package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 17 Mar 2007 15:13:19 +0100
Source: xine-ui
Binary: xine-ui
Architecture: source i386
Version: 0.99.4+cvs20070315-1
Distribution: experimental
Urgency: low
Maintainer: Reinhard Tartler <siretart@tauware.de>
Changed-By: Reinhard Tartler <siretart@tauware.de>
Description: 
 xine-ui    - the xine video player, user interface
Closes: 384336
Changes: 
 xine-ui (0.99.4+cvs20070315-1) experimental; urgency=low
 .
   * merge new upstream changes:
     - Fixed crash upon missing _NET_WM_WINDOW_OPACITY_LOCKED atom
        [bug #1573056] Closes: #384336
   * Use multiline build depends in debian/control
Files: 
 e3014fde55746a4af8f14ece59080155 1113 graphics optional xine-ui_0.99.4+cvs20070315-1.dsc
 bbb15b6b9cc1a9d0432e629d573a3a01 2449342 graphics optional xine-ui_0.99.4+cvs20070315.orig.tar.gz
 e2cbad673cec6ef75e8fc12a75fdf0f1 2320 graphics optional xine-ui_0.99.4+cvs20070315-1.diff.gz
 4436f7a0ffefc004dc1fa442d7e4e273 1537622 graphics optional xine-ui_0.99.4+cvs20070315-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Debian Powered!

iD8DBQFF/HzWmAg1RJRTSKQRAjGfAJ4mE22ATTCfIr+WX0yOHDttAyAdpACfb0Cm
IuibUmJa4OLYDP+6PaOLLkg=
=jFcI
-----END PGP SIGNATURE-----




Reply sent to Reinhard Tartler <siretart@tauware.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 11:42:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:29:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.